# Fee collection events

Fee collection events

Endpoint: POST Fee collection events
Version: 1.88.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type
    Enum: "FEE_COLLECTION.CREATED", "FEE_COLLECTION.FINALISED", "FEE_COLLECTION.CANCELLED"

  - `object` (object, required)

  - `object.id` (string, required)
    Fee collection unique identifier.

  - `object.account_id` (string, required)
    Account unique identifier.

  - `object.account_group_id` (string, required)
    Account group unique identifier.

  - `object.type` (string, required)
    Type of the fee collection
* SERVICE_FEE - Service fee intake in a pre-defined cadence (e.g. monthly)
* SERVICE_FEE_LIQUIDATION - Service fee intake as a result of a Portfolio liquidation
    Enum: "SERVICE_FEE", "SERVICE_FEE_LIQUIDATION"

  - `object.collection_amount` (string, required)

  - `object.processed_amount` (object, required)

  - `object.processed_amount.cash_balance` (string)

  - `object.processed_amount.sell_to_cover` (string)

  - `object.processed_amount.total_residual_amount` (string)

  - `object.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro 
* GBP - Great British Pound
    Enum: "EUR", "GBP"

  - `object.status` (string, required)
    Status of the fee collection
* PROCESSING - Fee collection is in progress.
* FINALISED - Fees have been collected from the account and the funds has been transferred to the client.
* CANCELLED - Fee collection has been cancelled.
    Enum: "PROCESSING", "FINALISED", "CANCELLED"

  - `object.period_start` (string, required)
    Start date of the fee collection period in YYYY-MM-DD format. [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339) RFC 3339

  - `object.period_end` (string, required)
    End date of the fee collection period in YYYY-MM-DD format. [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339) RFC 3339

  - `object.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.updated_at` (string, required)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.sell_to_cover_orders` (array)

  - `object.sell_to_cover_orders.id` (string, required)
    Sell to cover order id used to cover fee amount.

  - `object.sell_to_cover_orders.residual_amount` (string, required)

  - `webhook_id` (string, required)
    Webhook unique identifier.


## Response 200 fields
